コンテンツへスキップ

FLUX.3 Klein Image Editing

統合

モデルID blackforestlabs/flux-3/klein/edit-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/klein/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.009 9 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Black Forest Labs 画像編集 #image-editing#image-to-image#reference-images#typography

FLUX.3 Kleinエディター。最大10枚の参照画像と、オプションのバウンディングボックスによるオブジェクト配置に対応します

Black Forest Labs · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

編集後に希望する画像を詳細に説明するキャプションを記述し、最初の画像や2番目の画像など、参照を順番で識別します。

•必須 image_urls
ファイルをドロップ、または · 10まで

編集または合成に使用する参照画像。最大10枚です。

image_size

出力寸法はデフォルトで最初の参照画像に合わせます。複数参照では1メガピクセルに制限され、単一参照では最大4メガピクセルまで拡大されます。明示的なサイズでは各辺を256~4096ピクセルにする必要があります。

num_images デフォルト 1

生成する画像の枚数。

詳細設定 output_format · seed · enable_prompt_expansion · enable_safety_checker · bounding_boxes
output_format デフォルト png

結果の画像のファイル形式。

再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。

参照オブジェクトの保持、移動、サイズ変更、削除、新規オブジェクトの配置に使用するオプションのレイアウト。座標は各画像の左上の(0, 0)から始まります。`<dragon>`など、プロンプト内のラベルでボックスを参照します。

POST /run/blackforestlabs/flux-3/klein/edit-image?wait=20 見積もり → $0.009
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/klein/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

FLUX.3 Klein Image Editingについて

プロンプトと`image_urls`の1~10枚の参照画像から画像を編集または合成します。プロンプトでは、1枚目の画像など、順番で参照できます。最大32個の`bounding_boxes`で、プロンプト内のラベルによりオブジェクトの保持、移動、サイズ変更、削除、追加を指定できます。プロンプト拡張はデフォルトで有効です。jpeg、png、webpで1~4枚の画像を返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
編集後に希望する画像を詳細に説明するキャプションを記述し、最初の画像や2番目の画像など、参照を順番で識別します。
enable_prompt_expansion任意
型boolean
デフォルトtrue
生成前にプロンプトを詳細なキャプションへ拡張します。trueの場合に有効です。編集ではキャプションの内容を参照画像に基づけます。
seed任意
型integer | null
再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像の枚数。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェッカーの有効化。true でチェックを有効にします。
output_format任意
型enum
デフォルトpng
jpegpngwebp
結果の画像のファイル形式。
image_urls必須 images
型url[] · image
≤ 10項目
編集または合成に使用する参照画像。最大10枚です。
image_size任意
型object
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
出力寸法はデフォルトで最初の参照画像に合わせます。複数参照では1メガピクセルに制限され、単一参照では最大4メガピクセルまで拡大されます。明示的なサイズでは各辺を256~4096ピクセルにする必要があります。
bounding_boxes任意
型object[]
≤ 32項目
参照オブジェクトの保持、移動、サイズ変更、削除、新規オブジェクトの配置に使用するオプションのレイアウト。座標は各画像の左上の(0, 0)から始まります。`<dragon>`など、プロンプト内のラベルでボックスを参照します。
bounding_boxes[].label任意
型string | null
≤ 64 characters
ボックスの簡潔なオブジェクトラベル(例:`dragon`)。デフォルトは`obj_<n>`です。ボックスに関連付ける語をプロンプトに`<dragon>`として含めます。プロンプトに記載されていないボックスはシーンに追加されます。
bounding_boxes[].description必須
型string
≤ 500 characters
ボックス内に描画するオブジェクトと、その外観。
bounding_boxes[].box任意
型object
オブジェクトの出力配置。`source_box`/`target_box`を置き換え、text-to-imageと同じ配置動作を使用します。
bounding_boxes[].box.x_min必須
型number
0 – 1
画像幅を基準にした左端の位置。0~1です。
bounding_boxes[].box.y_min必須
型number
0 – 1
画像高さを基準にした上端の位置。0~1です。
bounding_boxes[].box.x_max必須
型number
0 – 1
画像幅を基準にした右端の位置。0~1です。
bounding_boxes[].box.y_max必須
型number
0 – 1
画像高さを基準にした下端の位置。0~1です。
bounding_boxes[].source_image_index任意
型integer | null
≥ 0
オブジェクトのソース選択。新規オブジェクトの場合は省略し、既存の参照を`image_urls`内のインデックス(0から数える)で指定します。
bounding_boxes[].source_box任意
型object
参照画像内のオブジェクト位置。`source_image_index`も指定する必要があります。
bounding_boxes[].source_box.x_min必須
型number
0 – 1
画像幅を基準にした左端の位置。0~1です。
bounding_boxes[].source_box.y_min必須
型number
0 – 1
画像高さを基準にした上端の位置。0~1です。
bounding_boxes[].source_box.x_max必須
型number
0 – 1
画像幅を基準にした右端の位置。0~1です。
bounding_boxes[].source_box.y_max必須
型number
0 – 1
画像高さを基準にした下端の位置。0~1です。
bounding_boxes[].target_box任意
型object
オブジェクトの出力配置ボックス。移動またはサイズ変更には両方のボックスが必要です。参照オブジェクトを削除する場合は、このボックスを未設定にします。
bounding_boxes[].target_box.x_min必須
型number
0 – 1
画像幅を基準にした左端の位置。0~1です。
bounding_boxes[].target_box.y_min必須
型number
0 – 1
画像高さを基準にした上端の位置。0~1です。
bounding_boxes[].target_box.x_max必須
型number
0 – 1
画像幅を基準にした右端の位置。0~1です。
bounding_boxes[].target_box.y_max必須
型number
0 – 1
画像高さを基準にした下端の位置。0~1です。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/klein/edit-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 9,
    "usd": "0.009",
    "charged": 9,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。
timings
object生成処理のタイミング情報。
seed
integer最初の画像の生成シード。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string画像生成時に使用するプロンプト。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/blackforestlabs/flux-3/klein/edit-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt